/**
 * 
 */
package com.wieseke.cptk.common.exceptions;

/**
 * @author Nicolas Wieseke
 * 
 */
public class SerializeException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4955092856997595399L;

	/**
	 * default constructor
	 */
	public SerializeException() {
		super();
	}

	/**
	 * constructor with message
	 * 
	 * @param message
	 */
	public SerializeException(String message) {
		super(message);
	}

	/**
	 * constructor with cause
	 * 
	 * @param cause
	 */
	public SerializeException(Throwable cause) {
		super(cause);
	}

	/**
	 * constructor with message and cause
	 * 
	 * @param message
	 * @param cause
	 */
	public SerializeException(String message, Throwable cause) {
		super(message, cause);
	}
}
