/**
 * 
 */
package com.wieseke.cptk.input.action;

import org.eclipse.jface.window.Window;
import org.eclipse.jface.wizard.WizardDialog;

import com.wieseke.cptk.input.wizards.ChangeCophylogenyPropertiesWizard;

/**
 * @author Nicolas Wieseke
 * 
 */
public class ChangeCophylogenyPropertiesAction extends InputAction {

	/**
	 * default constructor
	 * 
	 * @param text
	 */
	public ChangeCophylogenyPropertiesAction(String text) {
		super(text);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.action.Action#run()
	 */
	
	public void run() {
		if (this.viewer != null) {
			ChangeCophylogenyPropertiesWizard wizard = new ChangeCophylogenyPropertiesWizard(
					getViewer().getCophylogeny());
			WizardDialog dialog = new WizardDialog(getShell(), wizard);
			dialog.create();
			dialog.open();
			if (dialog.getReturnCode() == Window.OK) {
				this.viewer.setDirty(true);
			}
		}
	}
}
